import { request } from "../utils/request";

// 获取商品详情
export function goodsDetail(args: any) {
  return request({
    url: "/hotelBiz/commodity/commodityDetail",
    method: "post",
    data: args,
  });
}

// 订单支付
export function orderPay(args: any) {
  return request({
    url: "/hotelBiz/trade/order",
    method: "post",
    data: args,
  });
}

// 获取商品日价格及库存
export function commodityDailyPriceList(args: any) {
  return request({
    url: "/hotelBiz/commodity/commodityDailyPriceList",
    method: "post",
    data: args,
  });
}

// 分页查询商品分类列表
export function commodityTypePageList(args: any) {
  return request({
    url: "/hotelBiz/commodity/commodityTypePageList",
    method: "post",
    data: args,
  });
}

// 快速预定分页列表
export function quickBookingList(args: any) {
  return request({
    url: "/hotelBiz/mainScene/quickBookingList",
    method: "post",
    data: args,
  });
}
